curl --request GET \
--url https://partner.peaka.studio/api/v1/connections/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner.peaka.studio/api/v1/connections/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner.peaka.studio/api/v1/connections/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://partner.peaka.studio/api/v1/connections/config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://partner.peaka.studio/api/v1/connections/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://partner.peaka.studio/api/v1/connections/config")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://partner.peaka.studio/api/v1/connections/config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"connectionType": "<string>",
"connectionTypeLabel": "<string>",
"name": "<string>",
"authorizationType": "<string>",
"credentialSchemaType": "<string>",
"redirectRequired": true,
"category": "<string>",
"configuration": [
{
"fieldName": "<string>",
"fieldType": "text",
"required": true,
"description": "<string>"
}
],
"documentationUrl": "<string>"
}List Connection Config
List all connection configurations. This will return a list of all connection configurations available in the system.
curl --request GET \
--url https://partner.peaka.studio/api/v1/connections/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner.peaka.studio/api/v1/connections/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner.peaka.studio/api/v1/connections/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://partner.peaka.studio/api/v1/connections/config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://partner.peaka.studio/api/v1/connections/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://partner.peaka.studio/api/v1/connections/config")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://partner.peaka.studio/api/v1/connections/config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"connectionType": "<string>",
"connectionTypeLabel": "<string>",
"name": "<string>",
"authorizationType": "<string>",
"credentialSchemaType": "<string>",
"redirectRequired": true,
"category": "<string>",
"configuration": [
{
"fieldName": "<string>",
"fieldType": "text",
"required": true,
"description": "<string>"
}
],
"documentationUrl": "<string>"
}

Authorizations
Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication
Response
List of connection configurations
Flag to indicate if the connection requires redirection to a 3rd party platform.
e.g. OAuth2 connections often require redirection to the 3rd party platform for authorization.
If this flag is set to true, the connection will be redirected to the 3rd party platform for authorization.
According to your use case, some extra steps may be required to complete the authorization process.
See: https://docs.peaka.com/how-to-guides/how-to-create-oauth2-based-connections-via-peaka